import './impl/activity_config_repository_impl.dart';
import '../entity/activity_config_entity.dart';

abstract class ActivityConfigRepository {
   ///
  /// 获取单例
  ///
  static ActivityConfigRepository get() {
    return ActivityConfigRepositoryImpl();
  }

  /// 获取宣传口
  /// [locationType] 位置, 用逗号隔开
  /// 广告位置（1首页顶部、2首页弹窗、3首页浮标、4首页通知、5首页中部、6免单页面、
  /// 7品牌页面、8商品详情、9个人中心、10首页主会场、11首页分会场、12订单通知、13外卖返现、
  /// 14我的浮标、15启动页面、16福利专区、17余额提现、18提现结果、19活动会场
  /// 20、吃喝玩乐、21生活秒杀、22生活浮标、23强促位、24竖版banner、25商品详情、26首页LOGO、27首页LOGO大促）
  Future<List<ActivityConfigEntity>> find(String locationType);


}